ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Config

Description

Subsystem configuration

Synopsis

- initOptCoercionOpts :: DynFlags -> OptCoercionOpts
- initSimpleOpts :: DynFlags -> SimpleOpts
- initEvalOpts :: DynFlags -> Bool -> EvalOpts

# Documentation

initOptCoercionOpts :: DynFlags -> OptCoercionOpts Source #

Initialise coercion optimiser configuration from DynFlags

initSimpleOpts :: DynFlags -> SimpleOpts Source #

Initialise Simple optimiser configuration from DynFlags

initEvalOpts :: DynFlags -> Bool -> EvalOpts Source #

Extract GHCi options from DynFlags and step